CUPTI (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.15. CUpti_ActivityGlobalAccess2 Struct Reference

## [CUPTI Activity API]

This activity records the locations of the global accesses in the source (CUPTI_ACTIVITY_KIND_GLOBAL_ACCESS).

### Public Variables

uint32_t correlationId
uint32_t executed
CUpti_ActivityFlag flags
uint32_t functionId
CUpti_ActivityKind kind
uint64_t l2_transactions
uint32_t pad
uint32_t pcOffset
uint32_t sourceLocatorId
uint64_t theoreticalL2Transactions
uint64_t threadsExecuted

### Variables

uint32_t CUpti_ActivityGlobalAccess2::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityGlobalAccess2::executed [inherited]

  The number of times this instruction was executed

CUpti_ActivityFlag CUpti_ActivityGlobalAccess2::flags [inherited]

  The properties of this global access.

uint32_t CUpti_ActivityGlobalAccess2::functionId [inherited]

  Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityGlobalAccess2::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_GLOBAL_ACCESS.

uint64_t CUpti_ActivityGlobalAccess2::l2_transactions [inherited]

  The total number of 32 bytes transactions to L2 cache generated by this access

uint32_t CUpti_ActivityGlobalAccess2::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityGlobalAccess2::pcOffset [inherited]

  The pc offset for the access.

uint32_t CUpti_ActivityGlobalAccess2::sourceLocatorId [inherited]

  The ID for source locator.

uint64_t CUpti_ActivityGlobalAccess2::theoreticalL2Transactions [inherited]

  The minimum number of L2 transactions possible based on the access pattern.

uint64_t CUpti_ActivityGlobalAccess2::threadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.